/***************************************************************************
                          ini_file.h  -  description                              
                             -------------------                                         
    begin                : Tue Oct 19 1999                                           
    copyright            : (C) 2000 SOT Finnish Software Engineering Ltd. 
    author		           : Anton Anisimov
    author email         : aa@bestlinux.net
    url			             : http://www.bestlinux.net
    email		             : linux@bestlinux.net

	       	      Best Linux - Linux from Finland.                      
                            http://bestlinux.net                            

 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

class IniFile {
public:
IniFile();
int ProfileStr( const char *a_szFileName, const char *a_szSection, const char *a_szKey, char *a_szDefault, char *a_szRetValue );
int SetProfileString( const char *a_szFileName, char *a_szSection, char *a_szKey, char * asValue );
int ProfileEnum( const char *a_szFileName, const char *a_szSection, char *a_szKey, char *a_szValue );
int ProfileStrEnum( const char *a_szFileName, const char *a_szSection, char *a_szData );
private:
  char szOldEnumKeyStr[ 256 ];
  char szSectionName[ 256 ];
  int iEnumCounter;

  int GetWordN( char *a_szSrc, char *a_szDst, char *a_szDet, unsigned short wNum );
  int Left( char *a_szDest, char *a_szSource, unsigned long a_dwCount );
  int Right( char *a_szDest, char *a_szSource, unsigned long a_dwCount );
  int Mid( char *a_szDest, char *a_szSource, unsigned long a_dwPosition, unsigned long a_dwCount );
};




