/***************************************************************************
                                 lcarddb.h
                             -------------------
    begin                : Thu Nov 11 1999
    copyright            : (C) 2000 SOT Finnish Software Engineering Ltd.
    author		 : Anton Safonov (Maddy)
    author email         : as@bestlinux.net
    url			 : http://www.bestlinux.net
    email		 : linux@bestlinux.net

	       	      Best Linux - Linux from Finland.
                            http://bestlinux.net

 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _L_CARDDB_H_
#define _L_CARDDB_H_


#include <qdict.h>
#include <qstrlist.h>


class LCardDBEntry
{
public:

  unsigned int VendorID;
  unsigned int DeviceID;
  QString Vendor;
  QString Model;
  QString Name;
  QString Server;
  
};


class LCardDB
{
public:

  LCardDB(QString filename);

  LCardDBEntry *lookup(unsigned int vendor, unsigned int device);
  LCardDBEntry *lookup(QString name);

  LCardDBEntry *probe();

  void getCardList(QStrList &list);

private:

  QDict<LCardDBEntry> db;

};


#endif



