/***************************************************************************
                           				log.h
                             -------------------                                         
    begin                : Sun Oct 31 1999                                           
    copyright            : (C) 2000 SOT Finnish Software Engineering Ltd. 
    author		           : Anton Safonov (Maddy)
    author email         : as@bestlinux.net                                          
    url			             : http://www.bestlinux.net
    email		             : linux@bestlinux.net

	       	      Best Linux - Linux from Finland.                      
                            http://bestlinux.net                            

 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#ifndef LOG_H
#define LOG_H

#include <stdio.h>
#include <stdarg.h>

class Log {

public:
		Log( bool a_blUseLocal = false, char *a_szName = NULL );
		~Log();

		void log( int a_iDebugLevel, const char * s, ... );
		void close();

		static void logMain( int a_iDebugLevel, const char * s, ... );
		static void printf( int a_iDebugLevel, const char * s, ... );
		static void closeMain();
		static FILE * mainlog;
		static int iDebugLevel;
private:
		void doLog( const char * s, va_list args );
		void printfLog( const char * s, va_list args );
		static void doLogMain( const char * s, va_list args );
		static void printfLogMain( const char * s, va_list args );

		FILE * logfile;

};

#endif


