/***************************************************************************
                               configfile.h
                             -------------------                                         
    begin                : Thu Nov 11 1999                                           
    copyright            : (C) 2000 SOT Finnish Software Engineering Ltd. 
    author		           : Anton Safonov (Maddy)
    author email         : as@bestlinux.net                                          
    url			             : http://www.bestlinux.net
    email		             : linux@bestlinux.net

	       	      Best Linux - Linux from Finland.                      
                            http://bestlinux.net                            

 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#ifndef CONFIGFILE_H
#define CONFIGFILE_H

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <errno.h>
#include <qstring.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <sys/stat.h>
/*#include <fcntl.h>
#include <signal.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>*/

/**
  *@author Anton Safonov (Maddy)
  */

class ConfigFile {
public:
    ConfigFile(const char *root, const char *path);
    ~ConfigFile();

    FILE *open( const char *mode );
    bool	load();
    bool	save();
    bool	append(const char *);

protected:
    bool	mkdirp(QString);

protected:
    QString	path;
    char **	data;
    int		count;
};

#endif




