/***************************************************************************
                              languagedialog.h
                             -------------------                                         
    begin                : Tue Nov 9 1999                                           
    copyright            : (C) 2000 SOT Finnish Software Engineering Ltd. 
    author		           : Anton Safonov (Maddy)
    author email         : as@bestlinux.net                                          
    url			             : http://www.bestlinux.net
    email		             : linux@bestlinux.net

	       	      Best Linux - Linux from Finland.                      
                            http://bestlinux.net                            

 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#include "lwizard.h"
#include "llanguage.h"
#include <qdialog.h>
#include <qlayout.h>
#include <qpushbutton.h>

class LanguageDialog : public QDialog {
	Q_OBJECT
public:
	LanguageDialog( QWidget *parent = 0, QString name = 0 );

protected slots:
	void chooseLanguage(){
		done( lang->getLangIndex() );
 	};

	void goOut(){
		done( -1 );
	}

private:
	LLanguage *lang;
};





