/***************************************************************************
                              lkeyboard.h
                          -------------------
    begin                : Thu Nov 11 1999
    copyright            : (C) 2000 SOT Finnish Software Engineering Ltd.
    author		 : Anton Safonov (Maddy)
    author email         : as@bestlinux.net
    url			 : http://www.bestlinux.net
    email		 : linux@bestlinux.net

	       	      Best Linux - Linux from Finland.
                            http://bestlinux.net

 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef LKEYBOARD_H
#define LKEYBOARD_H
#include <qwidget.h>
#include <qlist.h>
#include <qstring.h>
#include <qdir.h>
#include <sys/types.h>
#include <sys/stat.h>

class QListBox;
class QLineEdit;

class LKeyboard: public QWidget
{
    Q_OBJECT
public:
    LKeyboard( const QString& language, QWidget * parent, const char * name = 0 );
    ~LKeyboard();
    bool eventFilter( QObject *, QEvent * );

    QString layout();
    QString model();
		void finish(const char *);

protected:

    void showEvent( QShowEvent * );
    void hideEvent( QHideEvent * );

private:

    void init();
    void set( char * );
    int setLayout;
    int setModel;

    QListBox* listLayout;
    QListBox* listModel;

    QLineEdit* editTest;

    bool initialized;
    QString lang;
		char *short_lang;
};

#endif


