/***************************************************************************
                                lsound.h
                          -------------------
    begin                : Thu Nov 11 1999
    copyright            : (C) 2000 SOT Finnish Software Engineering Ltd.
    author		           : Anton Safonov (Maddy)
    author email         : as@bestlinux.net
    url			             : http://www.bestlinux.net
    email		             : linux@bestlinux.net

	       	      Best Linux - Linux from Finland.
                            http://bestlinux.net

 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef LSOUND_H
#define LSOUND_H

#include <qwidget.h>
#include <qframe.h>
#include <qradiobutton.h>
#include <qcombobox.h>
#include <qlabel.h>


class LSound: public QWidget
{
  Q_OBJECT

public:
    
  LSound(QWidget *parent, const char *name=0);
  ~LSound();

  void finish();

  static bool hasSound();
  static bool hasMidi();
  static bool hasMixer();
 
public slots:

  void testWav();
  void testMidi(); 
  void testMpg(); 
  void balanceChanged(int);
  void volumeChanged(int);

  void setMixer(int vol, int bal);
  
private:

  int mixer;
  int volume, balance;

};


#endif


